<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func_g.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>GenerateMaterialPreview()&#160;:&#160;<a class="el" href="class_runtime_preview_generator.html#a5629b38838c595b8159a834cbdd20fe4">RuntimePreviewGenerator</a></li>
<li>GenerateMaterialPreviewWithShader()&#160;:&#160;<a class="el" href="class_runtime_preview_generator.html#a2a7615550e72601135912b718db421dc">RuntimePreviewGenerator</a></li>
<li>GenerateModelPreview()&#160;:&#160;<a class="el" href="class_runtime_preview_generator.html#ae253b81afa8f13e85c3a71b125c1b64b">RuntimePreviewGenerator</a></li>
<li>GenerateModelPreviewWithShader()&#160;:&#160;<a class="el" href="class_runtime_preview_generator.html#a607d8c54c3e95a407e4e05384a683f2c">RuntimePreviewGenerator</a></li>
<li>GenerateUniqueName()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_string_utils.html#a09761708e2097447a52fdeb14837d647">TriLib.StringUtils</a></li>
<li>Get()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#aef38186f8445f172ca011d139d4a99a7">Controls.PlayerActions</a></li>
<li>GetAssimpStringBuffer()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a8f84ef0f641cab3cb7c8906176a41587">TriLib.AssimpInterop</a></li>
<li>GetAwaiter()&#160;:&#160;<a class="el" href="class_extension_methods.html#a9833a7fb5c4c97fa88afd3de351aa39d">ExtensionMethods</a></li>
<li>GetBrowserFileData()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_j_s_helper.html#abc3ec6abf0a4bd40bbf628e6b52fedee">TriLib.JSHelper</a></li>
<li>GetBrowserFileName()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_j_s_helper.html#a85c01e50b31d93f5ec2900b90032f0b5">TriLib.JSHelper</a></li>
<li>GetConfigKey()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a6416e3279e75053f030ce4e24ed45f60">TriLib.AssetAdvancedPropertyMetadata</a></li>
<li>GetCurrentState()&#160;:&#160;<a class="el" href="class_utils.html#ac4db42468b93365ef9ce576e06fd5f1d">Utils</a></li>
<li>GetEnumerator()&#160;:&#160;<a class="el" href="classcakeslice_1_1_linked_set.html#a5d4c8385ac909e05f6d8ef9111a52614">cakeslice.LinkedSet&lt; T &gt;</a>, <a class="el" href="class_controls.html#aa8ae5ba50f1e7a5409113c78a769e81a">Controls</a>, <a class="el" href="class_tri_lib_1_1_assimp_metadata_collection.html#a4094b880b91ad5e2620fef24d179458e">TriLib.AssimpMetadataCollection</a>, <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#add621de757176b04d13ff7fc34bed006">TriLib.Extras.BoneRelationshipList</a></li>
<li>GetFileDirectory()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a1e1fca85597b382eb3d47bc993888212">TriLib.FileUtils</a></li>
<li>GetFileExtension()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a04f0ec2898def9cfff01a8b1ea092b50">TriLib.FileUtils</a></li>
<li>GetFilename()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a6d63c242c2c2fa90ae608e8a2fc8e7e5">TriLib.FileUtils</a></li>
<li>GetFilenameWithoutExtension()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#ae0a0b87222bcd8e70761cce7bc07cadf">TriLib.FileUtils</a></li>
<li>GetInteractionElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#a592bcafc407fc822614e71a98d178081">Utils</a></li>
<li>GetInteractionElements()&#160;:&#160;<a class="el" href="class_utils.html#a546802d6f59d841102326923bb12e51f">Utils</a></li>
<li>GetNewBool()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a275b296880f608b15aecbae125e27f9f">TriLib.AssimpInterop</a></li>
<li>GetNewByte()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a0ae5a79485949cea2787868337f0549c">TriLib.AssimpInterop</a></li>
<li>GetNewDouble()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a16b3ec53d8fcdedc42aa1a7778dbf530">TriLib.AssimpInterop</a></li>
<li>GetNewFloat()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#aa30db0da51dc96f96022d1b52dd43b2b">TriLib.AssimpInterop</a></li>
<li>GetNewInt32()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a2693b957a5d50aac562273c5f85a0194">TriLib.AssimpInterop</a></li>
<li>GetNewInt64()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#aca2e163399be0e3e56746b305cd560a1">TriLib.AssimpInterop</a></li>
<li>GetNewMatrix4x4()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#ac1b7d4a69cd379e567b72be17aa33b20">TriLib.AssimpInterop</a></li>
<li>GetNewStringBuffer()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a10089ac41c234866dd321e66da5179da">TriLib.AssimpInterop</a></li>
<li>GetOptionMetadata()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_advanced_property_metadata.html#a98d3ddc8673d8b539db267adb6fe578a">TriLib.AssetAdvancedPropertyMetadata</a></li>
<li>GetPropertyByName()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_material_data.html#a8d0880ee8461de17547a2f96db0b74a0">TriLib.MaterialData</a></li>
<li>GetRecentProjects()&#160;:&#160;<a class="el" href="class_project_files_controller.html#afa69e307a9f3ba06bc8b4021211c4c9b">ProjectFilesController</a></li>
<li>GetRelativePath()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a503c41c174a02597972d7f5d9200017b">TriLib.FileUtils</a></li>
<li>GetResult()&#160;:&#160;<a class="el" href="struct_unity_web_request_awaiter.html#af6e53a6a9836d77eb266080dfdf9400e">UnityWebRequestAwaiter</a></li>
<li>GetShortFilename()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_file_utils.html#a58d6001f87616a7ddf53c760b9701d54">TriLib.FileUtils</a></li>
<li>GetState()&#160;:&#160;<a class="el" href="class_utils.html#ac1958cd90ee3426959f67d8f6ae2a1d1">Utils</a></li>
<li>GetStateIndex()&#160;:&#160;<a class="el" href="class_utils.html#a5a164e0563ca6d9aa06c45bebf436f05">Utils</a></li>
<li>GetStates()&#160;:&#160;<a class="el" href="class_utils.html#ad069fd6bb6a50034f5b157eef1f1d91a">Utils</a></li>
<li>GetStringBuffer()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_assimp_interop.html#a066e67dee467823cc7db279e5b4b6392">TriLib.AssimpInterop</a></li>
<li>GetSupportedFileExtensions()&#160;:&#160;<a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ad66a1c17acea7e323ea0935d91a285ba">TriLib.AssetLoaderBase</a></li>
<li>GetTransition()&#160;:&#160;<a class="el" href="class_utils.html#aad2b260cf019a16e843666f807bb710c">Utils</a></li>
<li>GetTransitions()&#160;:&#160;<a class="el" href="class_utils.html#aaa529a2346a2a83b6a640d7709a86bc9">Utils</a></li>
<li>GetVisualizationArray()&#160;:&#160;<a class="el" href="class_utils.html#a88afd33827c764d277dcd64920351ae1">Utils</a></li>
<li>GetVisualizationArrays()&#160;:&#160;<a class="el" href="class_utils.html#a68614eba92f1abded960e4cfa8225e81">Utils</a></li>
<li>GetVisualizationElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#a3190a484104fa4b1d53581c5e222d644">Utils</a></li>
<li>GetVisualizationElements()&#160;:&#160;<a class="el" href="class_utils.html#a9f2d6e307121e9875a4ad7e91cc481b8">Utils</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
